Bug 1659382 - Remove rsh from RHEL-8
Summary: Remove rsh from RHEL-8
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: rsh
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Michal Ruprich 🐧
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 1567253
TreeView+ depends on / blocked
 
Reported: 2018-12-14 08:33 UTC by Michal Ruprich 🐧
Modified: 2019-02-01 19:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-07 14:59:44 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Michal Ruprich 🐧 2018-12-14 08:33:46 UTC
Description of problem:
rsh was planned to be removed from RHEL-8 and it all the work has been done to enable that. In cooperation with maintainer of various packages, rsh has been removed as a dependency from all packages. Now it remains in buildroot. Nothing in buildroot requires this package so we should remove it completely. 

This has been the plan from the beginning of the RHEL-8 devel phase and I have made all the arrangements to make this happen. Only recently I have noticed that rsh is still in buildroot and I believe it is not necessary. 

Dependencies: http://dell-per930-01.lab.eng.bos.redhat.com/build-status/rsh/

Comment 2 Troy Dawson 2018-12-14 16:07:24 UTC
This bug still needs the exception+ and all that.  I just want to say that I've verified that nothing depends on rsh anymore.

Comment 3 TomΓ‘Ε‘ Hozza 2018-12-14 16:19:23 UTC
Just a link to the thread on rhel8-devel discussing removal of rsh - http://post-office.corp.redhat.com/archives/rhel8-devel/2018-May/msg00478.html. Removing it has been the plan since the beginning, but we failed to follow up with the process after all dependencies on rsh have been removed.

Comment 5 Troy Dawson 2018-12-20 17:57:41 UTC
I have verified that nothing in RHEL8 depends on rsh.
I have put rsh on my list of packages to block from RHEL8.

Comment 6 Troy Dawson 2018-12-20 20:34:08 UTC
I have blocked the package from RHEL8.
I will verify that it is completely removed from RHEL8 after the next compose, and then close this ticket.

Comment 7 Troy Dawson 2019-01-07 14:59:44 UTC
I have verified that rsh has been completely blocked from RHEL8 and is no longer in any new repositories.


Note You need to log in before you can comment on or make changes to this bug.